# saga::filesystem Namespace Reference

The File Management API package. More...

## Classes
class | directory
| The SAGA file package directory API. More...
class | file
| The SAGA file package file API. More...
class | const_iovec
| Brief description starts here. More...
class | iovec
| The iovec class inherits the saga::buffer class, and three additional state attributes: offset, len in and len out. More...
## Enumerations
enum | flags { Unknown = saga::name_space::Unknown, None = saga::name_space::None, Overwrite = saga::name_space::Overwrite, Recursive = saga::name_space::Recursive, Dereference = saga::name_space::Dereference, Create = saga::name_space::Create, Exclusive = saga::name_space::Exclusive, Lock = saga::name_space::Lock, CreateParents = saga::name_space::CreateParents, Truncate = 128, Append = 256, Read = saga::name_space::Read, Write = saga::name_space::Write, ReadWrite = saga::name_space::ReadWrite, Binary = 2048 }
| The flags enum is inherited from the namespace package. More...
enum | seek_mode { Start = 1, Current = 2, End = 3 }
| Brief description starts here. More...

## Detailed Description

The File Management API package.

Filesystems provide more than just a namespace: they also provide access to the contents of files: the filesystem package extends the namespace package by adding read(), write() and seek() to the entries.

## Enumeration Type Documentation

enum saga::filesystem::flags

The flags enum is inherited from the namespace package.

A number of file specific flags are added to it. All added flags are used for the opening of file and directory instances, and are not applicable to the operations inherited from the namespace package.

Enumerator:

  Unknown |
  None |
  Overwrite |
  Recursive |
  Dereference |
  Create |
  Exclusive |
  Lock |
  CreateParents |
  Truncate |
  Append |
  Read |
  Write |
  ReadWrite |
  Binary |

enum saga::filesystem::seek_mode

Brief description starts here.

Enumerator:

  Start |
  Current |
  End |